DIR="dalvik device frameworks hardware libnativehelper system "
TMP=$(mktemp /tmp/XXXXX-cscope.files)

echo "$TMP"
for dir in $DIR;
do
	echo "Looking for files in $dir"
	find $PWD/$dir -name .git -prune -o -type f \( -iname '*.c' -o -iname '*.cc' -o -iname '*.cpp' -o -iname '*.h' -o -iname '*.hpp' -o -iname "*.mk" -o -iname "*.java" -o -iname "*.aidl" \) | egrep -v "/\.git$" >> $TMP
done

echo "generate cscope"
cscope -bkq -i $TMP

rm $TMP
